Security Enhanced Linux Reference Policy

# Layer: services

## Module: varnishd

Tunables Interfaces

### Description:

Varnishd http accelerator daemon

### Tunables:

varnishd_connect_any

##### Default value

false

##### Description

Allow varnishd to connect to all ports, not just HTTP.

Return

### Interfaces:

varnishd_admin( domain , role )

##### Summary

All of the rules required to administrate an varnishd environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the varnishd domain.

varnishd_admin_varnishlog( domain , role )

##### Summary

All of the rules required to administrate an varnishlog environment

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | The role to be allowed to manage the varnishlog domain.

varnishd_append_log( domain )

##### Summary

Append varnish logs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

varnishd_domtrans( domain )

##### Summary

Execute varnishd in the varnishd domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

varnishd_exec( domain )

##### Summary

Execute varnishd

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

varnishd_manage_log( domain )

##### Summary

Manage varnish logs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

varnishd_read_config( domain )

##### Summary

Read varnishd configuration file.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

varnishd_read_log( domain )

##### Summary

Read varnish logs.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return